Page Summary
-
This endpoint allows you to delete an assigned targeting option from a line item.
-
Requests to this endpoint cannot be made concurrently with other requests updating the same line item, such as
bulkEditLineItemAssignedTargetingOptions,lineItems.patch,assignedTargetingOptions.create, or anotherassignedTargetingOptions.deleterequest for the same line item. -
The request uses a
DELETEHTTP method and requires specific path parameters includingadvertiserId,lineItemId,targetingType, andassignedTargetingOptionId. -
The request body must be empty, and a successful response will also have an empty body.
-
Authorization requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Deletes an assigned targeting option from a line item.
Requests to this endpoint cannot be made concurrently with the following requests updating the same line item:
HTTP request
DELETE https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the line item belongs to. |
lineItemId |
Required. The ID of the line item the assigned targeting option belongs to. |
targetingType |
Required. Identifies the type of this assigned targeting option. |
assignedTargetingOptionId |
Required. The ID of the assigned targeting option to delete. |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.